/*
*
*
* VARIABLES
*
*
*/
/*
*
*
* PREVIEW BLOCK
*
*
*/
.wp-block-acf-hero-banner--remove.acf-block-preview section {
  display: none;
}
.wp-block-acf-hero-banner--remove.acf-block-preview div {
  width: 100%;
  height: 500px;
  background-image: url("preview.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

/*
*
*
* BLOCK
*
*
*/
.posts {
  margin-top: 120px;
}
@media screen and (max-width: 768px) {
  .posts {
    margin: 80px 0 0;
  }
}
@media screen and (max-width: 576px) {
  .posts {
    margin: 40px 0 0;
  }
}
.posts--title {
  margin-bottom: 32px;
}
.posts .custom-prev, .posts .custom-next {
  z-index: 2;
}
.posts .post {
  text-decoration: none;
}
.posts .posts-swiper {
  padding-bottom: 80px;
}
.posts .posts-swiper .swiper-pagination-bullet {
  background-color: #A0A0A0;
}
.posts .posts-swiper .swiper-pagination-bullet-active {
  background: #FC9210;
  background: -webkit-linear-gradient(240deg, rgb(252, 146, 16) 0%, rgb(233, 78, 27) 100%);
  background: -moz-linear-gradient(240deg, rgb(252, 146, 16) 0%, rgb(233, 78, 27) 100%);
  background: linear-gradient(240deg, rgb(252, 146, 16) 0%, rgb(233, 78, 27) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#FC9210", endColorstr="#E94E1B", GradientType=0);
}

.pagination {
  margin-top: 80px;
}

.pagination ul {
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;
  padding: 0;
  margin: 0 auto;
}

.pagination li .page-numbers {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 2.5rem;
  height: 2.5rem;
  margin: 0 0.25rem;
  border-radius: 50%;
  background: transparent;
  box-shadow: 0 0 0 1px white;
  color: #fff;
  font-size: 0.875rem;
  font-weight: bold;
  text-transform: uppercase;
  text-decoration: none;
  transition: all 0.5s cubic-bezier(0.42, 0, 0.58, 1);
}
.pagination li .page-numbers:after {
  content: "";
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  border-radius: 100px;
  background: linear-gradient(240deg, #FC9210 0%, #E94E1B 100%);
  opacity: 0;
  transition: all 0.5s cubic-bezier(0.42, 0, 0.58, 1);
  z-index: -1;
}

.pagination li .page-numbers:hover, .pagination li .page-numbers.current, .pagination li .next:hover, .pagination li .prev:hover {
  color: #fff;
  box-shadow: 0 0 0 0 transparent;
}
.pagination li .page-numbers:hover:after, .pagination li .page-numbers.current:after, .pagination li .next:hover:after, .pagination li .prev:hover:after {
  opacity: 1;
}

.pagination li .next, .pagination li .prev {
  width: auto;
  border-radius: 100px;
  padding-left: 20px;
  padding-right: 20px;
}
.pagination li .next:after, .pagination li .next:before, .pagination li .prev:after, .pagination li .prev:before {
  display: none;
}

.post-type-filters {
  display: flex;
  flex-wrap: wrap;
  justify-content: start;
  gap: 0.5rem;
  margin-bottom: 2rem;
}

.filter-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: auto;
  height: 2.75rem;
  border-radius: 100px;
  padding-left: 20px;
  padding-right: 20px;
  background: transparent;
  box-shadow: 0 0 0 1px white;
  color: #fff;
  font-size: 0.75rem;
  font-weight: bold;
  text-transform: uppercase;
  text-decoration: none;
  transition: all 0.5s cubic-bezier(0.42, 0, 0.58, 1);
}
.filter-button:after {
  content: "";
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  border-radius: 100px;
  background: linear-gradient(240deg, #FC9210 0%, #E94E1B 100%);
  opacity: 0;
  transition: all 0.5s cubic-bezier(0.42, 0, 0.58, 1);
  z-index: -1;
}

.filter-button:hover, .filter-button.active {
  color: #fff;
  box-shadow: 0 0 0 0 transparent;
}
.filter-button:hover:after, .filter-button.active:after {
  opacity: 1;
}

/*
*
*
* RESPONSIVE
*
*
*/